# Uses of Interface
org.sunflow.core.CameraLens

Packages that use CameraLens
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.camera

## Uses of CameraLens in org.sunflow

Fields in org.sunflow with type parameters of type CameraLens
Modifier and Type
Field
Description
`static final Plugins<CameraLens>`
PluginRegistry.`cameraLensPlugins`

## Uses of CameraLens in org.sunflow.core

Constructors in org.sunflow.core with parameters of type CameraLens
Modifier
Constructor
Description
``
`Camera(CameraLens lens)`

## Uses of CameraLens in org.sunflow.core.camera

Classes in org.sunflow.core.camera that implement CameraLens
Modifier and Type
Class
Description
`class`
`FisheyeLens`
`class`
`PinholeLens`
`class`
`SphericalLens`
`class`
`ThinLens`